Manifest-Version: 1.0
Bnd-LastModified: 1754080251236
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Commerce Order Rule Service
Bundle-SymbolicName: com.liferay.commerce.order.rule.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.48.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.account.model;version="5.5",com.liferay.ac
 count.service;version="10.2",com.liferay.commerce.currency.model;vers
 ion="7.0",com.liferay.commerce.currency.service;version="6.1",com.lif
 eray.commerce.currency.util;version="2.0",com.liferay.commerce.model;
 version="17.1",com.liferay.commerce.order;version="6.0",com.liferay.c
 ommerce.order.rule.configuration;version="2.0",com.liferay.commerce.o
 rder.rule.entry.type;version="1.1",com.liferay.commerce.order.rule.ex
 ception;version="3.0",com.liferay.commerce.order.rule.model;version="
 4.1",com.liferay.commerce.order.rule.permission;version="2.0",com.lif
 eray.commerce.order.rule.service;version="3.2",com.liferay.commerce.o
 rder.rule.service.persistence;version="3.1",com.liferay.commerce.prod
 uct.model;version="22.1",com.liferay.commerce.product.service;version
 ="38.2",com.liferay.counter.kernel.service;version="2.2",com.liferay.
 expando.kernel.model;version="6.0",com.liferay.expando.kernel.util;ve
 rsion="5.0",com.liferay.exportimport.kernel.lar;version="5.0",com.lif
 eray.osgi.service.tracker.collections.map;version="2.3",com.liferay.p
 etra.function;version="1.5",com.liferay.petra.function.transform;vers
 ion="1.3",com.liferay.petra.lang;version="1.3",com.liferay.petra.sql.
 dsl;version="1.2",com.liferay.petra.sql.dsl.base;version="1.0",com.li
 feray.petra.sql.dsl.expression;version="2.0",com.liferay.petra.sql.ds
 l.query;version="2.0",com.liferay.petra.sql.dsl.query.sort;version="1
 .0",com.liferay.petra.string;version="1.7",com.liferay.portal.aop;ver
 sion="1.0",com.liferay.portal.configuration.metatype.bnd.util;version
 ="3.0",com.liferay.portal.dao.orm.custom.sql;version="1.1",com.lifera
 y.portal.kernel.bean;version="10.1",com.liferay.portal.kernel.configu
 ration;version="7.0",com.liferay.portal.kernel.dao.db;version="14.0",
 com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.k
 ernel.dao.orm;version="12.0",com.liferay.portal.kernel.exception;vers
 ion="13.3",com.liferay.portal.kernel.json;version="12.1",com.liferay.
 portal.kernel.language;version="11.0",com.liferay.portal.kernel.log;v
 ersion="8.0",com.liferay.portal.kernel.model;version="30.4",com.lifer
 ay.portal.kernel.model.impl;version="7.4",com.liferay.portal.kernel.m
 odule.framework.service;version="1.0",com.liferay.portal.kernel.sched
 uler;version="18.1",com.liferay.portal.kernel.search;version="20.2",c
 om.liferay.portal.kernel.security.auth;version="6.1",com.liferay.port
 al.kernel.security.permission;version="7.0",com.liferay.portal.kernel
 .security.permission.resource;version="2.3",com.liferay.portal.kernel
 .security.permission.resource.definition;version="1.0",com.liferay.po
 rtal.kernel.service;version="25.1",com.liferay.portal.kernel.service.
 http;version="1.0",com.liferay.portal.kernel.service.persistence;vers
 ion="22.1",com.liferay.portal.kernel.service.persistence.impl;version
 ="4.1",com.liferay.portal.kernel.systemevent;version="6.2",com.lifera
 y.portal.kernel.transaction;version="8.1",com.liferay.portal.kernel.u
 pgrade;version="21.2",com.liferay.portal.kernel.util;version="63.0",c
 om.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.kernel
 .workflow;version="21.0",com.liferay.portal.search.batch;version="2.0
 ",com.liferay.portal.search.query;version="1.7",com.liferay.portal.se
 arch.spi.model.index.contributor;version="1.2",com.liferay.portal.sea
 rch.spi.model.index.contributor.helper;version="1.0",com.liferay.port
 al.search.spi.model.query.contributor;version="1.1",com.liferay.porta
 l.search.spi.model.query.contributor.helper;version="2.0",com.liferay
 .portal.search.spi.model.registrar;version="2.1",com.liferay.portal.s
 earch.spi.model.registrar.contributor;version="1.0",com.liferay.porta
 l.search.spi.model.result.contributor;version="1.1",com.liferay.porta
 l.upgrade.registry;version="5.0",javax.sql,org.osgi.framework;version
 ="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 1.2.1
Liferay-Service: true
Private-Package: com.liferay.commerce.order.rule.internal.entry.type,c
 om.liferay.commerce.order.rule.internal.entry.type.comparator,com.lif
 eray.commerce.order.rule.internal.permission,com.liferay.commerce.ord
 er.rule.internal.scheduler,com.liferay.commerce.order.rule.internal.s
 earch,com.liferay.commerce.order.rule.internal.search.spi.model.index
 .contributor,com.liferay.commerce.order.rule.internal.search.spi.mode
 l.query.contributor,com.liferay.commerce.order.rule.internal.search.s
 pi.model.result.contributor,com.liferay.commerce.order.rule.internal.
 security.permission.resource,com.liferay.commerce.order.rule.internal
 .upgrade.registry,com.liferay.commerce.order.rule.internal.validator,
 com.liferay.commerce.order.rule.internal.workflow,com.liferay.commerc
 e.order.rule.model.impl,com.liferay.commerce.order.rule.service.base,
 com.liferay.commerce.order.rule.service.http,com.liferay.commerce.ord
 er.rule.service.impl,com.liferay.commerce.order.rule.service.persiste
 nce.impl,com.liferay.commerce.order.rule.service.persistence.impl.con
 stants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .commerce.order.CommerceOrderValidator";uses:="com.liferay.commerce.o
 rder",osgi.service;objectClass:List<String>="com.liferay.commerce.ord
 er.rule.entry.type.COREntryType";uses:="com.liferay.commerce.order.ru
 le.entry.type",osgi.service;objectClass:List<String>="com.liferay.com
 merce.order.rule.entry.type.COREntryTypeJSPContributorRegistry";uses:
 ="com.liferay.commerce.order.rule.entry.type",osgi.service;objectClas
 s:List<String>="com.liferay.commerce.order.rule.entry.type.COREntryTy
 peRegistry";uses:="com.liferay.commerce.order.rule.entry.type",osgi.s
 ervice;objectClass:List<String>="com.liferay.commerce.order.rule.inte
 rnal.security.permission.resource.CORServicePortletResourcePermission
 Logic";uses:="com.liferay.commerce.order.rule.internal.security.permi
 ssion.resource",osgi.service;objectClass:List<String>="com.liferay.co
 mmerce.order.rule.permission.COREntryPermission";uses:="com.liferay.c
 ommerce.order.rule.permission",osgi.service;objectClass:List<String>=
 "com.liferay.commerce.order.rule.service.persistence.COREntryPersiste
 nce";uses:="com.liferay.commerce.order.rule.service.persistence",osgi
 .service;objectClass:List<String>="com.liferay.commerce.order.rule.se
 rvice.persistence.COREntryRelPersistence";uses:="com.liferay.commerce
 .order.rule.service.persistence",osgi.service;objectClass:List<String
 >="com.liferay.portal.aop.AopService";uses:="com.liferay.portal.aop",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.dao.
 orm.ArgumentsResolver";uses:="com.liferay.portal.kernel.dao.orm",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.schedule
 r.SchedulerJobConfiguration";uses:="com.liferay.portal.kernel.schedul
 er",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.
 search.BaseSearcher";uses:="com.liferay.portal.kernel.search",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.security.pe
 rmission.resource.ModelResourcePermission";uses:="com.liferay.portal.
 kernel.security.permission.resource",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.kernel.security.permission.resource.definit
 ion.PortletResourcePermissionDefinition";uses:="com.liferay.portal.ke
 rnel.security.permission.resource.definition",osgi.service;objectClas
 s:List<String>="com.liferay.portal.kernel.workflow.WorkflowHandler";u
 ses:="com.liferay.portal.kernel.workflow",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.search.spi.model.index.contributor.Mod
 elDocumentContributor";uses:="com.liferay.portal.search.spi.model.ind
 ex.contributor",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.search.spi.model.index.contributor.ModelIndexerWriterContributor
 ";uses:="com.liferay.portal.search.spi.model.index.contributor",osgi.
 service;objectClass:List<String>="com.liferay.portal.search.spi.model
 .query.contributor.KeywordQueryContributor";uses:="com.liferay.portal
 .search.spi.model.query.contributor",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.result.contributor.ModelSu
 mmaryContributor";uses:="com.liferay.portal.search.spi.model.result.c
 ontributor",osgi.service;objectClass:List<String>="com.liferay.portal
 .search.spi.model.result.contributor.ModelVisibilityContributor";uses
 :="com.liferay.portal.search.spi.model.result.contributor",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.upgrade.registry.Upgr
 adeStepRegistrator";uses:="com.liferay.portal.upgrade.registry",osgi.
 service;objectClass:List<String>="com.liferay.commerce.order.rule.ser
 vice.COREntryLocalService",osgi.service;objectClass:List<String>="com
 .liferay.commerce.order.rule.service.COREntryRelLocalService",osgi.se
 rvice;objectClass:List<String>="com.liferay.commerce.order.rule.servi
 ce.COREntryRelService",osgi.service;objectClass:List<String>="com.lif
 eray.commerce.order.rule.service.COREntryService"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.account.service.AccountGroupLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.
 currency.service.CommerceCurrencyLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.commerce.currency.util.Co
 mmercePriceFormatter)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.commerce.order.rule.entry.type.COREntryTypeRegistr
 y)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 commerce.order.rule.permission.COREntryPermission)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.commerce.order.rule.s
 ervice.COREntryLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.commerce.order.rule.service.COREntryRelLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.commerce.order.rule.service.persistence.COREntryPersistence)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.order.rule.service.persistence.COREntryRelPersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.pro
 duct.service.CommerceChannelLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.counter.kernel.service.Counter
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.dao.orm.custom.sql.CustomSQL)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.configurat
 ion.Configuration)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.dao.orm.EntityCache)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm
 .FinderCache)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.dao.orm.SessionFactory)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.language.
 Language)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.security.permission.resource.ModelResourcePermis
 sion)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.security.permission.resource.PortletResourcePermissi
 on)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.ClassNameLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.Reso
 urceLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.UserLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.ser
 vice.WorkflowInstanceLinkLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.uuid.PortalUUID)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.search.batch.DynamicQueryBatchIndexingActio
 nableFactory)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.search.query.QueryHelper)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.search.spi.model.inde
 x.contributor.ModelIndexerWriterContributor)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.search.spi.model.reg
 istrar.ModelSearchRegistrarHelper)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.search.spi.model.result.contri
 butor.ModelSummaryContributor)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.spi.model.result.contributo
 r.ModelVisibilityContributor)";effective:=active,osgi.service;filter:
 ="(objectClass=javax.sql.DataSource)";effective:=active,osgi.ee;filte
 r:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.commerce.order.rule.internal.e
 ntry.type.COREntryTypeJSPContributorRegistryImpl.xml,OSGI-INF/com.lif
 eray.commerce.order.rule.internal.entry.type.COREntryTypeRegistryImpl
 .xml,OSGI-INF/com.liferay.commerce.order.rule.internal.entry.type.Min
 imumAmountCOREntryTypeImpl.xml,OSGI-INF/com.liferay.commerce.order.ru
 le.internal.permission.COREntryPermissionImpl.xml,OSGI-INF/com.lifera
 y.commerce.order.rule.internal.scheduler.CheckCOREntrySchedulerJobCon
 figuration.xml,OSGI-INF/com.liferay.commerce.order.rule.internal.sear
 ch.COREntrySearchRegistrar.xml,OSGI-INF/com.liferay.commerce.order.ru
 le.internal.search.COREntrySearcher.xml,OSGI-INF/com.liferay.commerce
 .order.rule.internal.search.spi.model.index.contributor.COREntryModel
 DocumentContributor.xml,OSGI-INF/com.liferay.commerce.order.rule.inte
 rnal.search.spi.model.index.contributor.COREntryModelIndexerWriterCon
 tributor.xml,OSGI-INF/com.liferay.commerce.order.rule.internal.search
 .spi.model.query.contributor.COREntryKeywordQueryContributor.xml,OSGI
 -INF/com.liferay.commerce.order.rule.internal.search.spi.model.result
 .contributor.COREntryModelSummaryContributor.xml,OSGI-INF/com.liferay
 .commerce.order.rule.internal.search.spi.model.result.contributor.COR
 EntryModelVisibilityContributor.xml,OSGI-INF/com.liferay.commerce.ord
 er.rule.internal.security.permission.resource.COREntryModelResourcePe
 rmission.xml,OSGI-INF/com.liferay.commerce.order.rule.internal.securi
 ty.permission.resource.COREntryPortletResourcePermissionDefinition.xm
 l,OSGI-INF/com.liferay.commerce.order.rule.internal.security.permissi
 on.resource.COREntryRelModelResourcePermission.xml,OSGI-INF/com.lifer
 ay.commerce.order.rule.internal.security.permission.resource.CORServi
 cePortletResourcePermissionLogic.xml,OSGI-INF/com.liferay.commerce.or
 der.rule.internal.upgrade.registry.CommerceOrderRuleServiceUpgradeSte
 pRegistrator.xml,OSGI-INF/com.liferay.commerce.order.rule.internal.va
 lidator.CORCommerceOrderValidator.xml,OSGI-INF/com.liferay.commerce.o
 rder.rule.internal.workflow.COREntryWorkflowHandler.xml,OSGI-INF/com.
 liferay.commerce.order.rule.service.impl.COREntryLocalServiceImpl.xml
 ,OSGI-INF/com.liferay.commerce.order.rule.service.impl.COREntryRelLoc
 alServiceImpl.xml,OSGI-INF/com.liferay.commerce.order.rule.service.im
 pl.COREntryRelServiceImpl.xml,OSGI-INF/com.liferay.commerce.order.rul
 e.service.impl.COREntryServiceImpl.xml,OSGI-INF/com.liferay.commerce.
 order.rule.service.persistence.impl.COREntryModelArgumentsResolver.xm
 l,OSGI-INF/com.liferay.commerce.order.rule.service.persistence.impl.C
 OREntryPersistenceImpl.xml,OSGI-INF/com.liferay.commerce.order.rule.s
 ervice.persistence.impl.COREntryRelModelArgumentsResolver.xml,OSGI-IN
 F/com.liferay.commerce.order.rule.service.persistence.impl.COREntryRe
 lPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

